TelepathyQt4: Tp::SharedPtr< T > Class Template Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::SharedPtr< T > Class Template Reference

`#include <TelepathyQt4/shared-ptr.h>`

List of all members.

## Public Member Functions

- SharedPtr ()
- SharedPtr (T *d)
- SharedPtr (const SharedPtr< T > &o)
- SharedPtr (const WeakPtr< T > &o)
- ~SharedPtr ()
- void reset ()
- T * data () const
- const T * constData () const
- T * operator-> ()
- T * operator-> () const
- bool isNull () const
- operator bool () const
- bool operator! () const
- bool operator== (const SharedPtr< T > &o) const
- bool operator!= (const SharedPtr< T > &o) const
- bool operator== (const T *ptr) const
- bool operator!= (const T *ptr) const
- SharedPtr< T > & operator= (const SharedPtr< T > &o)
- void swap (SharedPtr< T > &o)

## Static Public Member Functions

- template<class X > static SharedPtr< T > staticCast (const SharedPtr< X > &src)
- template<class X > static SharedPtr< T > dynamicCast (const SharedPtr< X > &src)
- template<class X > static SharedPtr< T > constCast (const SharedPtr< X > &src)

### template<class T>
class Tp::SharedPtr< T >

## Constructor & Destructor Documentation

template<class T>

Tp::SharedPtr< T >::SharedPtr | ( |  | ) | `[inline]`

template<class T>

Tp::SharedPtr< T >::SharedPtr | ( | T * | d | ) | `[inline, explicit]`

template<class T>

Tp::SharedPtr< T >::SharedPtr | ( | const SharedPtr< T > & | o | ) | `[inline]`

template<class T>

Tp::SharedPtr< T >::SharedPtr | ( | const WeakPtr< T > & | o | ) | `[inline, explicit]`

template<class T>

Tp::SharedPtr< T >::~SharedPtr | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>

void Tp::SharedPtr< T >::reset | ( |  | ) | `[inline]`

template<class T>

T* Tp::SharedPtr< T >::data | ( |  | ) | const`[inline]`

template<class T>

const T* Tp::SharedPtr< T >::constData | ( |  | ) | const`[inline]`

template<class T>

T* Tp::SharedPtr< T >::operator-> | ( |  | ) | `[inline]`

template<class T>

T* Tp::SharedPtr< T >::operator-> | ( |  | ) | const`[inline]`

template<class T>

bool Tp::SharedPtr< T >::isNull | ( |  | ) | const`[inline]`

template<class T>

Tp::SharedPtr< T >::operator bool | ( |  | ) | const`[inline]`

template<class T>

bool Tp::SharedPtr< T >::operator! | ( |  | ) | const`[inline]`

template<class T>

bool Tp::SharedPtr< T >::operator== | ( | const SharedPtr< T > & | o | ) | const`[inline]`

template<class T>

bool Tp::SharedPtr< T >::operator!= | ( | const SharedPtr< T > & | o | ) | const`[inline]`

template<class T>

bool Tp::SharedPtr< T >::operator== | ( | const T * | ptr | ) | const`[inline]`

template<class T>

bool Tp::SharedPtr< T >::operator!= | ( | const T * | ptr | ) | const`[inline]`

template<class T>

SharedPtr<T>& Tp::SharedPtr< T >::operator= | ( | const SharedPtr< T > & | o | ) | `[inline]`

template<class T>

void Tp::SharedPtr< T >::swap | ( | SharedPtr< T > & | o | ) | `[inline]`

template<class T>
template<class X >

static SharedPtr<T> Tp::SharedPtr< T >::staticCast | ( | const SharedPtr< X > & | src | ) | `[inline, static]`

template<class T>
template<class X >

static SharedPtr<T> Tp::SharedPtr< T >::dynamicCast | ( | const SharedPtr< X > & | src | ) | `[inline, static]`

template<class T>
template<class X >

static SharedPtr<T> Tp::SharedPtr< T >::constCast | ( | const SharedPtr< X > & | src | ) | `[inline, static]`